Bug 20837 - install "fonts-ttf-unifont - GNU Unifont glyphs"​ by default to show all the languages in the world in a web browser or word processor
Summary: install "fonts-ttf-unifont - GNU Unifont glyphs"​ by default to show all the ...
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: Cauldron
Hardware: All Linux
: High normal
Target Milestone: ---
Assignee: ISO building group
QA Contact:
URL:
Whiteboard:
Keywords: 6sta2
Depends on:
Blocks:
 
Reported: 2017-05-13 15:28 CEST by Y.LE_NY
Modified: 2017-05-13 20:24 CEST (History)
2 users (show)

See Also:
Source RPM: meta-task
CVE:
Status comment:


Attachments

Description Y.LE_NY 2017-05-13 15:28:34 CEST
Description of problem:
When you have only fonts-ttf-liberation installed by default by mageia installer, you can show only square character for character in cyrilic or japanese or chinese characters in a error message on a web site.(and the same problem for mathematical characters)

Then you can not copy and paste this error message in a translator tool like Google Translate to know the error message in your mother language.
Can you install "fonts-ttf-unifont - GNU Unifont glyphs"​ by default in Mageia to show all the characters in all the languages in the world in a web browser or word processor document and make the Mageia user life easier.

As you can see here: http://www.unifoundry.com/unifont.html , "fonts-ttf-unifont - GNU Unifont glyphs"​ allow to show a lot of charcters in a lot of languages.


Version-Release number of selected component (if applicable):
mageia 6 sta2 

How reproducible:
Note : Mageia 6 sta 2 minimum installation with minimum packages + X server + docs + urpmi + IcewM for WM WITHOUT Plasma (KDE) and Gnome or others windows managers.


Steps to Reproduce:
1.
2.
3.
Comment 1 Stig-Ørjan Smelror 2017-05-13 16:28:57 CEST
I think this is a good catch and should definitely be included in the default install.

Just checked my installation and fonts-ttf-unifont was not installed and I have Plasma, among others, installed.

Note You need to log in before you can comment on or make changes to this bug.